package com.yami.shop.bean.enums;

/**
 * 商品状态枚举类型
 * <p>
 * 状态（-1表示删除 0:商家下架 1:上架 2:平台下架 3:待平台审核 4:审核失败 5：审核成功）
 */
public enum ProdStatusEnums {
    /**
     * 删除
     */
    DELETE(-1, "删除"),

    /**
     * 商家下架
     */
    SHOP_OFFLINE(0, "商家下架"),

    /**
     * 上架
     */
    NORMAL(1, "上架"),

    /**
     * 平台下架
     */
    PLATFORM_OFFLINE(2, "平台下架"),

    /**
     * 平台审核
     */
    PLATFORM_AUDIT(3, "平台审核")
    ;

    private Integer value;
    private String desc;

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    ProdStatusEnums(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}

